aboutsummaryrefslogtreecommitdiff
path: root/robot/robot-test.sh
diff options
context:
space:
mode:
authorPhillip Lord <phillip.lord@russet.org.uk>2019-06-15 12:29:52 +0100
committerPhillip Lord <phillip.lord@russet.org.uk>2019-06-15 12:29:52 +0100
commit6c14bd6c5079bfb384134f4275a5f289f92e4ab5 (patch)
treefd12aab22755850bb37c460a4dd488acb3cbd7cb /robot/robot-test.sh
parent507daae5a2ece2ec15a3f45a7ac0d88939b48852 (diff)
downloadorg-drill-6c14bd6c5079bfb384134f4275a5f289f92e4ab5.tar.gz
org-drill-6c14bd6c5079bfb384134f4275a5f289f92e4ab5.zip
Update robot, Fix remaining CL dependencies
The robot test now includes "with-typing" input. This uncovered some more usages of cl.el which are now gone.
Diffstat (limited to 'robot/robot-test.sh')
-rwxr-xr-xrobot/robot-test.sh105
1 files changed, 61 insertions, 44 deletions
diff --git a/robot/robot-test.sh b/robot/robot-test.sh
index 31a6f09..c27b94b 100755
--- a/robot/robot-test.sh
+++ b/robot/robot-test.sh
@@ -1,49 +1,66 @@
-#!/bin/sh
+#!/bin/bash
set -e
+function run_drill {
+ ## Org-drill should be running at this point, so give three answers
+ ## with a score of file
+ sleep 1
+ echo answer one
+ #xdotool type --window $window_id answer
+ xdotool key --window $window_id Return
+ sleep 0.25
+ xdotool key --window $window_id 5
+ sleep 0.25
+
+
+ echo answer two
+ #xdotool type --window $window_id answer
+ xdotool key --window $window_id Return
+ sleep 0.25
+ xdotool key --window $window_id 5
+ sleep 0.25
+
+ echo answer three
+ #xdotool type --window $window_id answer
+ xdotool key --window $window_id Return
+ sleep 0.25
+ xdotool key --window $window_id 5
+ sleep 0.25
+
+ ## Press any key to continue
+ echo press any key to continue
+ xdotool key --window $window_id Return
+ sleep 0.25
+
+ echo Save file
+ xdotool key --window $window_id y
+}
+
+function kill_emacs {
+ echo Goodnight Emacs
+ xdotool key --window $window_id alt+x
+ xdotool type --window $window_id kill-emacs
+ xdotool key --window $window_id KP_Enter
+}
+
$EMACS -Q -l ./robot/org-drill-launch.el &
-sleep 1
-
-window_id=`xdotool search --name "emacs-bot"`
-if [ -z "$window_id" ]
-then
- echo "Could not find window ID for Emacs-bot"
- exit 1
-fi
-
-## Org-drill should be running at this point, so give three answers
-## with a score of file
-echo answer one
-xdotool key --window $window_id KP_Enter
-sleep 0.25
-xdotool key --window $window_id 5
-sleep 0.25
-
-
-echo answer two
-xdotool key --window $window_id KP_Enter
-sleep 0.25
-xdotool key --window $window_id 5
-sleep 0.25
-
-echo answer three
-xdotool key --window $window_id KP_Enter
-sleep 0.25
-xdotool key --window $window_id 5
-sleep 0.25
-
-# ## Press any key to continue
-echo press any key to continue
-xdotool key --window $window_id KP_Enter
-sleep 0.25
-
-echo Save file
-xdotool key --window $window_id y
-sleep 0.25
-
-echo Goodnight Emacs
-xdotool key --window $window_id alt+x
-xdotool type --window $window_id kill-emacs
-xdotool key --window $window_id KP_Enter
+{
+ sleep 2
+
+ window_id=`xdotool search --name "emacs-bot"`
+ if [ -z "$window_id" ]
+ then
+ echo "Could not find window ID for Emacs-bot"
+ exit 1
+ fi
+
+ ## Run once with default options
+ run_drill
+
+ ## Run once with presentation-prompt-with-typing
+ run_drill
+
+ kill_emacs
+} || cat robot/failure.txt